TSL(4)

NAME
tsl - TAOS TSL2560/61 light sensor

SYNOPSIS
tsl* at iic?

DESCRIPTION
The tsl driver provides support for the TAOS TSL2560/61 light-to-digital converters that transform light intensity into a digital signal output. These sensors contain a broadband photodiode and an infrared-responding photodiode allowing the ambient light level to be determined, as experienced by the human eye. This illuminace (in lux) is made available through the sysctl(8) interface and can, for example, be used to adjust the backlight of LCD screens to lighting conditions.

SEE ALSO
iic(4), intro(4), sensorsd(8), sysctl(8)

HISTORY
The tsl driver first appeared in OpenBSD 3.9.

AUTHORS
-nosplit The tsl driver was written by Mark Kettenis <kettenis@openbsd.org>.